#!/bin/sh
# This file is used to copy some symbolic links in CCE(Minix doesn't 
# support) and change the memory requirement for compiler/shell(otherwise
# compilation will fail).
#
# If you can't use cin2tab to generate those *.tab from *.cin, please
# increase its memory size. for example: chmem =1638400 cin2tab (16MB)
#

LN=ln
CHMEM=chmem 

if [ ! -f fonts/font.c ]; then 
$LN src/font/font.c fonts/font.c;
fi
if [ ! -f inputs/utils/convert.c ]; then
$LN src/convert.c inputs/utils/convert.c;
fi
if [ ! -f inputs/utils/pyzyutil.c ]; then
$LN src/input/pyzyutil.c inputs/utils/pyzyutil.c;
fi
if [ ! -f inputs/utils/pyzymap.c ]; then
$LN src/input/pyzymap.c inputs/utils/pyzymap.c;
fi

# increase the stack/heap section of ACK-CC and SHELL
$CHMEM =8192000 /usr/bin/cc
$CHMEM =2048000 /usr/lib/em_cemcom.ansi
$CHMEM =256000  /usr/bin/sh
